net.sf.jasperreports.crosstabs

## Class CrosstabDeepVisitor

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRDelegationVisitor
  - - net.sf.jasperreports.crosstabs.CrosstabDeepVisitor

- All Implemented Interfaces:
    ElementsVisitor, JRVisitor

      public class CrosstabDeepVisitor
      extends JRDelegationVisitor
      implements ElementsVisitor

  Deep crosstab visitor.
  Version:
    $Id: CrosstabDeepVisitor.java 6874 2014-02-07 11:24:22Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrosstabDeepVisitor(JRVisitor visitor)` Creates a deep crosstab visitor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deepVisitCrosstab(JRCrosstab crosstab)` Visits all the elements nested into a crosstab.
    `protected void` | `visitCrosstabCell(JRCellContents cell)`
    `boolean` | `visitDeepElements()` Decides whether this visitor is to visit deep/nested elements.

    - ### Methods inherited from class net.sf.jasperreports.engine.util.JRDelegationVisitor

      `getVisitor, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitor

      `visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

- - ### Constructor Detail

    - #### CrosstabDeepVisitor

          public CrosstabDeepVisitor(JRVisitor visitor)

      Creates a deep crosstab visitor.
      Parameters:
        `visitor` - the elements visitor which is to visit crosstab nested elements

  - ### Method Detail

    - #### visitDeepElements

          public boolean visitDeepElements()

      Description copied from interface: `ElementsVisitor`
      Decides whether this visitor is to visit deep/nested elements.
      Specified by:
        `visitDeepElements` in interface `ElementsVisitor`
      Returns:
        whether this visitor is to visit deep/nested elements

    - #### deepVisitCrosstab

          public void deepVisitCrosstab(JRCrosstab crosstab)

      Visits all the elements nested into a crosstab.
      Parameters:
        `crosstab` - the crosstab whose elements to visit

    - #### visitCrosstabCell

          protected void visitCrosstabCell(JRCellContents cell)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com